Bug 963330 - ValueError: row sequence has the incorrect number of elements
ValueError: row sequence has the incorrect number of elements
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
s390x Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-05-15 12:39 EDT by Mark Hamzy
Modified: 2013-06-28 19:35 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 19:35:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda traceback (146.81 KB, text/plain)
2013-05-15 12:39 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-05-15 12:39:01 EDT
Created attachment 748408 [details]
anaconda traceback

Description of problem:
Booting http://s390.koji.fedoraproject.org/test/20130515/ I come across the following:

Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 815, in _convert_row
    raise ValueError('row sequence has the incorrect number of elements')
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 915, in _do_insert
    row, columns = self._convert_row(row)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 924, in append
    return self._do_insert(-1, row)
  File "/tmp/updates/pyanaconda/ui/gui/spokes/welcome.py", line 242, in _addLanguage
    store.append(['<span lang="%s">%s</span>' % (re.sub('\..*', '', setting), native), english, setting])
  File "/tmp/updates/pyanaconda/ui/gui/spokes/welcome.py", line 170, in initialize
    trans.english_name, trans.short_name)
  File "/tmp/updates/pyanaconda/ui/gui/spokes/welcome.py", line 315, in initialize
    LanguageMixIn.initialize(self)
  File "/tmp/updates/pyanaconda/ui/gui/__init__.py", line 387, in run
    self._currentAction.initialize()
  File "/sbin/anaconda", line 1079, in <module>
    anaconda._intf.run()
ValueError: row sequence has the incorrect number of elements

Version-Release number of selected component (if applicable):
anaconda-19.25-1.fc19.s390x

How reproducible:
Always
Comment 1 Adam Williamson 2013-06-26 18:25:01 EDT
Is this reproducible with newer builds? It's been a while.
Comment 2 Mark Hamzy 2013-06-28 19:35:19 EDT
I tested with http://s390.koji.fedoraproject.org/test/20130628/ and did not encounter the problem.  Therefore, I am closing this.

Note You need to log in before you can comment on or make changes to this bug.